<div class="flex-grow flex-col h-screen">
  <app-top-bar title="{{ title }}"></app-top-bar>
  <div class="flex-grow">
    <app-top-form-audit
      #appTopFormAudit
      (onLigneChanged)="onLigneChanged($event)"
      [auditReceived]="auditReceived"
    ></app-top-form-audit>
  </div>

  <div class="">
    <app-analyse-form-audit
      #appCriteresForm
      [selectedProcess]="selectedProcess"
      (onTotalTotalChanged)="onTotalTotalChanged($event)"
      [auditReceived]="auditReceived"
    ></app-analyse-form-audit>
  </div>

  <div class="flex-grow">
    <app-bottom-form
      #appBottomForm
      [totalTotal]="totalTotal"
      (onEnregistrerClick)="
        submitForm(appTopFormAudit, appCriteresForm, appBottomForm)
      "
      (onRatingChanged)="onRatingChanged($event)"
      [auditReceived]="auditReceived"
    ></app-bottom-form>
  </div>
</div>
